---
title: "phoneNumberVerifyV1"
url: "https://developer.pxg.konera.com/apis/number-verification-v1/versions/1554527f-4237-4b00-a8d4-a6b8d30bda00/operations/number-verification-v1_verify"
---

> Full API specification: https://developer.pxg.konera.com/apis/number-verification-v1/versions/1554527f-4237-4b00-a8d4-a6b8d30bda00.md

# phoneNumberVerifyV1

`POST` `/api/number-verification/v1/verify`

Operation ID: `number-verification-v1_verify`

Verifies whether the phone number provided matches the number currently allocated to the SIM in the end user's device. Returns a boolean result in `devicePhoneNumberVerified`.

## Header parameters

- `x-correlation-id` (string, optional) - Correlation ID for request tracing

## Request body (required)

Content types: `application/json`

## Responses

- `200` - OK
- `400` - Bad request
- `401` - Unauthorized
- `403` - Forbidden
- `404` - Not found
- `409` - Conflict
- `422` - Unprocessable entity
- `429` - Too Many Requests
- `500` - Internal server error
- `503` - Service unavailable

## OpenAPI definition

```yaml
openapi: 3.0.3
info:
  title: Number Verification API
  version: 1.0.0
servers:
  - url: https://api.pxg.konera.com/camara
    description: Production CAMARA API Gateway
paths:
  /api/number-verification/v1/verify:
    post:
      tags:
        - Number Verification V1
      summary: phoneNumberVerifyV1
      operationId: number-verification-v1_verify
      description: Verifies whether the phone number provided matches the number
        currently allocated to the SIM in the end user's device. Returns a
        boolean result in `devicePhoneNumberVerified`.
      parameters:
        - $ref: "#/components/parameters/XCorrelator"
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/PhoneNumberVerifyRequest"
      responses:
        "200":
          description: OK
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/NumberVerificationResult"
              examples:
                verified:
                  value:
                    devicePhoneNumberVerified: true
        "400":
          $ref: "#/components/responses/BadRequest"
        "401":
          $ref: "#/components/responses/Unauthorized"
        "403":
          $ref: "#/components/responses/Forbidden"
        "404":
          $ref: "#/components/responses/NotFound"
        "409":
          $ref: "#/components/responses/Conflict"
        "422":
          $ref: "#/components/responses/UnprocessableEntity"
        "429":
          $ref: "#/components/responses/TooManyRequests"
        "500":
          $ref: "#/components/responses/InternalServerError"
        "503":
          $ref: "#/components/responses/ServiceUnavailable"
security:
  - OAuth2ClientCredentials:
      - number-verification.read
components:
  parameters:
    XCorrelator:
      name: x-correlation-id
      in: header
      required: false
      description: Correlation ID for request tracing
      schema:
        type: string
        example: b4333c46-49c0-4f62-80d7-f0ef930f1c46
  schemas:
    PhoneNumberVerifyRequest:
      type: object
      required:
        - phoneNumber
      properties:
        phoneNumber:
          type: string
          description: MSISDN in E.164 format entered by the end user
          example: "+919036499174"
    NumberVerificationResult:
      type: object
      required:
        - devicePhoneNumberVerified
      properties:
        devicePhoneNumberVerified:
          type: boolean
          description: Indicates whether the provided MSISDN matches the phone number of
            the device/SIM on the network
          example: true
        assessedAt:
          type: string
          format: date-time
          nullable: true
          description: Timestamp when verification was performed
    Error:
      type: object
      required:
        - status
        - code
        - message
      properties:
        status:
          type: integer
          example: 400
        code:
          type: string
          example: INVALID_ARGUMENT
        message:
          type: string
          example: Invalid request
  responses:
    BadRequest:
      description: Bad request
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/Error"
    Unauthorized:
      description: Unauthorized
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/Error"
    Forbidden:
      description: Forbidden
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/Error"
    NotFound:
      description: Not found
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/Error"
    Conflict:
      description: Conflict
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/Error"
    UnprocessableEntity:
      description: Unprocessable entity
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/Error"
    TooManyRequests:
      description: Too Many Requests
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/Error"
    InternalServerError:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/Error"
    ServiceUnavailable:
      description: Service unavailable
      content:
        application/json:
          schema:
            $ref: "#/components/schemas/Error"
  securitySchemes:
    OAuth2ClientCredentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://auth.konera.com/oauth2/token
          scopes:
            number-verification.read: Verify device phone number match
```
